/**
 * 
 */
package com.github.ansell.oas.objects.impl;

import java.util.List;

import org.openrdf.model.URI;

import com.github.ansell.oas.objects.Ontology;
import com.github.ansell.oas.objects.SearchResult;

/**
 * @author Peter Ansell p_ansell@yahoo.com
 * 
 */
public class SearchResultImpl implements SearchResult
{
    private List<String> labels;
    private URI resultUri;
    private Ontology ontology;
    
    /**
     * 
     */
    public SearchResultImpl(final Ontology ontology, final URI resultUri)
    {
        this.ontology = ontology;
        this.resultUri = resultUri;
    }
    
    /**
     * 
     */
    public SearchResultImpl(final Ontology ontology, final URI resultUri, final List<String> labels)
    {
        this(ontology, resultUri);
        
        this.labels = labels;
    }
    
    @Override
    public List<String> getLabels()
    {
        return this.labels;
    }
    
    @Override
    public Ontology getOntology()
    {
        return this.ontology;
    }
    
    @Override
    public URI getResultUri()
    {
        return this.resultUri;
    }
    
}
