/**
 * 
 */
package com.github.ansell.oas.utils;

import com.github.ansell.oas.data.DataHandler;
import com.github.ansell.oas.objects.Ontology;

/**
 * @author Peter Ansell p_ansell@yahoo.com
 * 
 */
public class CurrentVersionUtils
{
    
    private DataHandler dataHandler;
    
    /**
     * 
     */
    public CurrentVersionUtils(DataHandler dataHandler)
    {
        this.dataHandler = dataHandler;
    }
    
    public boolean isLatest(Ontology nextOntology)
    {
        if(nextOntology == null)
        {
            return false;
        }
        
        Ontology latestOntology = this.dataHandler.getLatestOntology(nextOntology.getOntologyUri());
        
        if(latestOntology == null)
        {
            return false;
        }
        else
        {
            return latestOntology.getOntologyVersionUri().equals(nextOntology.getOntologyVersionUri());
        }
    }
}
