/**
 * 
 */
package com.github.ansell.oas.utils;

import java.util.Collections;
import java.util.List;

import org.openrdf.model.Literal;
import org.openrdf.model.URI;

import com.github.ansell.oas.data.DataHandler;
import com.github.ansell.oas.objects.Ontology;

/**
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 */
public class LabelUtils
{
    private DataHandler dataHandler;
    
    /**
     * 
     * @param dataHandler
     *            The data handler to use for this label util
     */
    public LabelUtils(DataHandler dataHandler)
    {
        this.dataHandler = dataHandler;
    }
    
    public List<Literal> labels(Ontology ontology)
    {
        if(ontology == null)
        {
            return Collections.emptyList();
        }
        
        return this.dataHandler.getLabelsForUri(ontology, ontology.getOntologyUri());
    }
    
    public List<Literal> labels(URI ontologyURI)
    {
        return labels(dataHandler.getLatestOntology(ontologyURI));
    }
    
    public List<Literal> labels(URI ontologyURI, URI termUri)
    {
        if(ontologyURI == null && termUri == null)
        {
            return Collections.emptyList();
        }
        
        return this.dataHandler.getLabelsForUri(dataHandler.getLatestOntology(ontologyURI), termUri);
    }
}
