/**
 * 
 */
package com.github.ansell.oas.webservice.impl;

import java.util.Map;

import org.restlet.data.MediaType;
import org.restlet.representation.Representation;
import org.restlet.resource.ResourceException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.github.ansell.oas.utils.OasProps;
import com.github.ansell.oas.utils.RestletUtils;
import com.github.ansell.oas.webservice.IndexResource;

/**
 * @author Peter Ansell p_ansell@yahoo.com
 * 
 */
public class IndexResourceImpl extends AbstractOasResourceImpl implements IndexResource
{
    private final Logger log = LoggerFactory.getLogger(this.getClass());
    
    @Override
    public Representation getIndexPageHtml(final Representation entity) throws ResourceException
    {
        this.log.debug("in getIndexPageHtml");
        
        final Map<String, Object> dataModel = RestletUtils.getBaseDataModel(this.getRequest());
        dataModel.put("contentTemplate", this.getPropertyUtil().get(OasProps.PROP_TMPL_INDEX, OasProps.DEF_TMPL_INDEX));
        dataModel.put("pageTitle",
                this.getPropertyUtil().get(OasProps.PROP_TMPL_INDEX_TITLE, OasProps.DEF_TMPL_INDEX_TITLE));
        
        // Output the base template, with contentTemplate from the dataModel defining the template
        // to use for the content in the body of the page
        return RestletUtils.getHtmlRepresentation(
                this.getPropertyUtil().get(OasProps.PROP_TMPL_BASE, OasProps.DEF_TMPL_BASE), dataModel,
                MediaType.TEXT_HTML, this.getOasApplication().getTemplateConfiguration());
    }
    
}
