/**
 * 
 */
package com.github.ansell.oas.webservice.impl;

import java.util.Map;

import org.restlet.data.MediaType;
import org.restlet.representation.Representation;
import org.restlet.representation.Variant;
import org.restlet.resource.Get;
import org.restlet.resource.ResourceException;

import com.github.ansell.oas.utils.RestletUtils;

/**
 * Provides a page that can be used to test annotation support on an ALA page.
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 * 
 */
public class TestAlaResource extends AbstractOasResourceImpl
{
    @Get("html")
    public Representation getHtml(final Representation entity, final Variant variant) throws ResourceException
    {
        final Map<String, Object> dataModel = RestletUtils.getBaseDataModel(this.getRequest());
        
        // dataModel.put("contentTemplate", "biodiversity-test.html.ftl");
        dataModel.put("pageTitle", "Test Ala Page - Ontology Annotation Services");
        
        // Output the base template, with contentTemplate from the dataModel defining the template
        // to use for the content in the body of the page
        return RestletUtils.getHtmlRepresentation("biodiversity-test.html.ftl", dataModel, MediaType.TEXT_HTML, this
                .getOasApplication().getTemplateConfiguration());
    }
    
}
