/**
 * 
 */
package com.github.ansell.oas.webservice.impl;

import java.util.Map;

import org.restlet.data.MediaType;
import org.restlet.representation.Representation;
import org.restlet.representation.Variant;
import org.restlet.resource.Get;
import org.restlet.resource.ResourceException;

import com.github.ansell.oas.utils.OasProps;
import com.github.ansell.oas.utils.RestletUtils;

/**
 * Provides a page that can be used to test annotation support.
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 * 
 */
public class TestAnnotationResource extends AbstractOasResourceImpl
{
    @Get("html")
    public Representation getHtml(final Representation entity, final Variant variant) throws ResourceException
    {
        final Map<String, Object> dataModel = RestletUtils.getBaseDataModel(this.getRequest());
        
        dataModel.put("contentTemplate", "testannotations.html.ftl");
        dataModel.put("pageTitle", "Test Annotations Page - Ontology Annotation Services");
        
        // Output the base template, with contentTemplate from the dataModel defining the template
        // to use for the content in the body of the page
        return RestletUtils.getHtmlRepresentation(
                this.getPropertyUtil().get(OasProps.PROP_TMPL_BASE, OasProps.DEF_TMPL_BASE), dataModel,
                MediaType.TEXT_HTML, this.getOasApplication().getTemplateConfiguration());
    }
    
}
