/**
 * 
 */
package com.github.ansell.oas.webservice.impl;

import org.restlet.representation.Representation;
import org.restlet.representation.StringRepresentation;
import org.restlet.resource.Get;
import org.restlet.resource.ResourceException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.github.ansell.oas.webservice.BaseOasActions;

/**
 * @author Peter Ansell p_ansell@yahoo.com
 * 
 */
public class WhoAmIResourceImpl extends AbstractOasResourceImpl
{
    private final Logger log = LoggerFactory.getLogger(this.getClass());
    
    @Get
    public Representation getIndexPageHtml(final Representation entity) throws ResourceException
    {
        this.checkAuthentication(BaseOasActions.WHOAMI_CHECK);
        
        Representation result = null;
        
        if(this.getRequest().getClientInfo().isAuthenticated())
        {
            result = new StringRepresentation(this.getRequest().getClientInfo().getUser().getIdentifier());
        }
        
        return result;
    }
    
}
